export const requireReg = (msg) => ({
  required: true,
  message: msg || '该项为必填项'
})
export const phoneReg = (msg) => ({
  pattern: /^1\d{10}$/,
  message: msg || '请输入正确的手机号',
  trigger: ['blur', 'change']
})
export const idCardReg = (msg) => (
  {
    pattern: /^[1-9]\d{5}(18|19|20|(3\d))\d{2}((0[1-9])|(1[0-2]))(([0-2][1-9])|10|20|30|31)\d{3}[0-9Xx]$/,
    message: '请输入正确的身份证号',
    trigger: ['blur', 'change']
  }
)
